/*
* i2c bus with both unix and tcp socket using defaults.  For TCP that is host OS name and port 8080
*
*/
import Device from '../src/device'
// const PATH = ''

  ;
(async () => {

  let device = new Device({id:'an i2c device', useRootNS:true, address:0x27, bus:{host:'sbc'} })

  device.reply = function (packet) {
    console.log('for request ',packet._header.request)
    console.log('bus response is ',packet.response)
  }

  console.log('return from await scan', (await device.init()).scan)
  process.kill(process.pid, 'SIGTERM')

})().catch(err => {
  console.error('FATAL: UNABLE TO START SYSTEM!\n',err)
  process.kill(process.pid, 'SIGTERM')
})
